/*                         MICRION SOFTWARE DEPT.
 *          Copyright (c) 1994 by Micrion Corp. All rights reserved.
 *
 * FILE NAME    : mvcl_actions.c
 * AUTHOR       : R. Mello
 * DATE WRITTEN : 12/12/94
 * VERSION      : 1.00
 * USAGE        : module of the mcvl parser
 *
 * This source file contains the actions for the mvcl parser.
 */
#include <stdio.h>                          /* for NULL, fprintf(), ect...   */
#include <mvcl_int.h>

/* function prototypes. */
int    MvclOpenValve( int );
int    MvclCloseValve( int );
int    MvclStartPump( int );
int    MvclStopPump( int );
int    MvclExtendNozzle( int );
int    MvclRetractNozzle( int );
double MvclReadDevice( int, int );
int    MvclSetDevice( int, int, double );

/***************************************************************************/
int  MvclOpenValve(
   int     valve )                         /* number of the valve to open  */

  {
   /* MvclOpenValve() -- This function will attempt to open a valve.
    *
    *     RETURNS: 0 if the operation was a success.
    *              1 if the operation failed
    */

   fprintf( stderr, "WARNING: This is the default MvclOpenValve()\n" );
   return( 0 );
  }
/***************************************************************************/
int  MvclCloseValve(
   int     valve )                         /* number of the valve to closed */

  {
   /* MvclCloseValve() -- This function will attempt to close a valve.
    *
    *     RETURNS: 0 if the operation failed.
    *              1 if the operation was a success.
    */

   fprintf( stderr, "WARNING: This is the default MvclCloseValve()\n" );
   return( 0 );
  }
/***************************************************************************/
int  MvclStatus(
   int     dev_class,                        /* class of device to use       */
   int     dev_id )                          /* specific device              */

  {
   /* MvclStatus() -- This function will attempt to chack the status
    *     of the requested device.
    *
    *     RETURNS: 0 if the operation failed.
    *              1 if the operation was a success.
    */

   fprintf( stderr, "WARNING: This is the default MvclStatus()\n" );
   return( 0 );
  }
/***************************************************************************/
int  MvclStartPump(
   int     pump )                         /* number of the pump to start    */

  {
   /* MvclStartPump() -- This function will start a pump pumping.
    *
    *     RETURNS: 0 if the operation failed.
    *              1 if the operation was a success.
    */

   fprintf( stderr, "WARNING: This is the default MvclStartPump()\n" );
   return( 0 );
  }
/***************************************************************************/
int  MvclStopPump(
   int     pump )                         /* number of the pump to stop    */

  {
   /* MvclStopPump() -- This function will stop a pump.
    *
    *     RETURNS: 0 if the operation failed.
    *              1 if the operation was a success.
    */

   fprintf( stderr, "WARNING: This is the default MvclStopPump()\n" );
   return( 0 );
  }
/***************************************************************************/
int    MvclExtendNozzle(
   int     nozzle )                         /* number of nozzle to extend  */

  {
   /* MvclExtendNozzle() -- This function will extend a nozzle.
    *
    *     RM@ -- NOTE: later I should add position information to nozzle stuff.
    *
    *     RETURNS: 0 if the operation failed.
    *              1 if the operation was a success.
    */

   fprintf( stderr, "WARNING: This is the default MvclExtendNozzle()\n" );
   return( 0 );
  }
/***************************************************************************/
int    MvclRetractNozzle(
   int     nozzle )                         /* number of nozzle to extend  */

  {
   /* MvclRetractNozzle() -- This function will retract a nozzle.
    *
    *     RETURNS: 0 if the operation failed.
    *              1 if the operation was a success.
    */

   fprintf( stderr, "WARNING: This is the default MvclRetractNozzle()\n" );
   return( 0 );
  }
/***************************************************************************/
double  MvclReadDevice(
   int     class,                          /* Class of device to read       */
   int     device )                        /* id of device to read          */

  {
   /* MvclReadDevice() -- This function will read the specified device.
    *
    *     RETURNS: The value read in from the device.
    */

   fprintf( stderr, "WARNING: This is the default MvclReadDevice()\n" );
   return( 0.0 );
  }
/***************************************************************************/
int    MvclSetDevice(
   int     class,                         /* Class of device to read       */
   int     device,                        /* id of device to read          */
   double  value )                        /* set it to this                */

  {
   /* MvclSetDevice() -- This function will set the value on specified device.
    *
    *     RETURNS: 0 if the requested device was not valid. 
    *              1 if the operation was a success.
    */

   fprintf( stderr, "WARNING: This is the default MvclSetDevice()\n" );
   return( 0 );
  }
/***************************************************************************/
/* finis */









