/*                         MICRION SOFTWARE DEPT.
 *          Copyright (c) 1995 by Micrion Corp. All rights reserved.
 *
 * FILE NAME    : mvcl_err.c
 * AUTHOR       : R. Mello
 * DATE WRITTEN : 4/13/95
 * VERSION      : 1.00
 * USAGE        : module of the mcvl parser
 *
 * This source file contains the error reporting code.
 */
#include <stdio.h>                          /* for NULL, fprintf(), ect...   */
#include <varargs.h>			    /* for the variable argument list*/
#include <mvcl_int.h>

/* function prototypes. */


/***************************************************************************/
void  MvclRunTimeError( va_alist )
   va_dcl

  {
   /* MvclRunTimeError() -- This fucntion will print out the error message
    *     that has been passed in.
    *
    *     RETURNS: nothing
    */
   va_list  args;
   char     *FormatString;

   /* Report the first part of the error. */
   fprintf( stdout, "Mvcl Run Time Error: " );

   /* Start the variable argument list. */
   va_start( args );

   /* Print out user args. */
   FormatString = va_arg( args, char * );
   vfprintf( stdout, FormatString, args );

   /* terminate the argument list. */
   va_end( args );

   return;
  }
/***************************************************************************/
void  MvclParserError( va_alist )
    va_dcl

  {
   /* MvclParserError() -- This function will report a error while the parser
    *     is running.
    *
    *     RETURNS: nothing.
    */
   va_list  args;
   int      line;
   char     *FormatString;

   /* Get the current line number from the lexer. */
   line = MvclGetLexerLine();

   /* Report the first part of the error. */
   fprintf( stdout, "Mvcl Error: Line %d : ", line );

   /* Start the variable argument list. */
   va_start( args );

   /* Print out user args. */
   FormatString = va_arg( args, char * );
   vfprintf( stdout, FormatString, args );

   /* terminate the argument list. */
   va_end( args );

   return;
  }
/***************************************************************************/
/* finis */



