/*                         MICRION SOFTWARE DEPT.
 *          Copyright (c) 1995 by Micrion Corp. All rights reserved.
 *
 * FILE NAME    : mvcl_fil.c
 * AUTHOR       : R. Mello
 * DATE WRITTEN : 5/16/95
 * VERSION      : 1.00
 * USAGE        : module of the mvcl interpreter
 *
 * This source file contains code to validate a users request to operate
 * on a hardware specific device.
 */
#include <stdio.h>                          /* for NULL, fprintf(), ect...   */
#include <string.h>

/* file equates. */
#define MAXLINE  80

/* function prototypes. */
int *  MvclReadConfigOptions( FILE *, char *, int * );

/***************************************************************************/
int *  MvclReadConfigOptions(
   FILE      *fp,                           /* pointer to an open config file*/
   char      *option_name,                  /* Case sensitive option name    */
   int       *Noptions )                    /* return: number of entries     */

  {
   /* MvclReadConfigOptions() -- This function will read the option name 
    *      settings from the specified file.
    *
    *      RETURNS: A pointer to an array of the settings for option_name.
    *               or NULL if the option was not present.
    */
   int   *ret_array = (int *)NULL;
   int   count;
   char  line[MAXLINE];
   char  *tok;

   /* Start the search at the beginning of the file. */
   rewind( fp );
   count = 0;

   ret_array = (int *)malloc( sizeof( int ) );

   if( ret_array != (int *)NULL )
     {
      while( fgets( line, MAXLINE, fp ) != (char *)NULL ) 
        {
         tok = strtok( line, ":" );

         /* Does this line match the option name that we are looking for? */
         if( !strcmp( tok, option_name ) )
           {
            /* Read all the settings for this option. */
            while( ( tok = strtok( NULL, "," ) ) != (char *)NULL )
              {
               ret_array[count] = atoi( tok );

               count++;
               ret_array =
               (int *)realloc( ret_array, ( count + 1 ) * sizeof( int ) );
              }
           }
        }
     }  

   /* Return the number of options found to the caller. */
   *Noptions = count;

   return( ret_array );
  }
/***************************************************************************/
/* finis */
