#
# $Source: /home/bhowes/BoilerPlate/RCS/Sink.py,v $
# $Author: bhowes $
# $Date: 1997/10/07 18:24:43 $
# $State: Exp $
#
#---------------------------------------------------------------------------
#
# Copyright (C) 1997 Motorola, Inc.
#
# Copyright in this software is owned by Motorla, Inc. Permission to
# use, copy and distribute this software royalty-free is hereby
# granted, provided that the above copyright notice appears in all
# copies and that both the copyright notice and this permission notice
# appear.
#
# THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.
#
# The software is provided "as is" without warranty of any kind,
# either express or implied, including, but not limited to, the
# implied warranties of merchantability, fitness for a particular
# purpose, or non-infringement. This software could include technical
# inaccuracies or typographical errors. The author may make
# improvements and/or changes in this software at any time without
# notice to users of previous versions.
#
# --------------------------------------------------------------------------
#
# Sink -- simple class to perform text accumulation. Provides the `<<'
# operator for C++-like constructs.
#
#---------------------------------------------------------------------------
# $Log: Sink.py,v $
# Revision 1.2  1997/10/07 18:24:43  bhowes
# Cosmetic changes.
#
# Revision 1.1  1997/10/07 18:24:12  bhowes
# Initial revision
#

version = "$Id: Sink.py,v 1.2 1997/10/07 18:24:43 bhowes Exp bhowes $"

from array import array

#
# Class Sink -- wrapper for Python `array' module. Used to collect
# formatted text from Block instances.
#
class Sink:

	#
	# __init__ -- create array to hold formatted text
	#
	def __init__( self ):
		self.Reset()

	#
	# Reset -- create new array instance to hold accumulated data.
	# Install references to array's methods for faster access.
	#
	def Reset( self ):
		data = self.data = array( 'c' )
		self.__Append = data.fromstring
		self.__str__ = self.Value = data.tostring
		self.__lshift__ = self.Append

	#
	# Append -- append given value as a string
	#
	def Append( self, value ):
		self.__Append( str( value ) )
		return self


def Test_O_Matic():
	import time

	#
	# Do simple test with Sink -- record how long we take.
	#
	foo = Sink()
	begin = time.time()
	for a in range( 0, 1000 ):
		foo << '*' * 4096

	sinkSpan = time.time() - begin

	#
	# Do simple test with string `+' operator -- record how long we take.
	#
	foo = ''
	begin = time.time()
	for b in range( 0, 1000 ):
		foo = foo + '*' * 4096

	plusSpan = time.time() - begin

	print 'Sink span:', sinkSpan,'  Plus span:', plusSpan
