/*
 * AmbiguousSignatureException.java --
 *
 *	This exception is used to indicate an ambiguous method or
 *	constructor signature.
 *
 * Copyright (c) 1997 Sun Microsystems, Inc. All rights reserved.
 *
 * SCCS: @(#) AmbiguousSignatureException.java 1.8 97/10/16 17:56:17
 *
 */

package tcl.lang;

/*
 * This exception is used to indicate an ambiguous method or
 * constructor signature.
 */

class AmbiguousSignatureException extends Exception {

/*
 *----------------------------------------------------------------------
 *
 * AmbiguousSignatureException --
 *
 *	Create an instance of the exception object with an descriptive
 *	message.
 *
 * Results:
 *	None.
 *
 * Side effect:
 *	None.
 *
 *----------------------------------------------------------------------
 */

AmbiguousSignatureException(
    String sig)			// The signature string.
{
    super("Signature \"" + sig + "\" is not unique");
}

} // end AmbiguousSignatureException

