/* 
 * JavaTest.java --
 *
 *	This file contains the JavaTest class used by java.test.
 *
 * Copyright (c) 1997 by Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * SCCS: @(#) JavaTest.java 1.7 97/10/21 14:20:23
 */

package tests;
import tcl.lang.*;

public class JavaTest implements CommandWithDispose {

    /*
     * Constants.
     */

    public static final int JT1 = 3;
    public final int JT2 = 4;
    private static final int JT3 = 5;
    private final int JT4 = 6;

    /*
     * Static fields for each primitive type.
     */

    public static boolean sboolean;
    public static byte sbyte;
    public static short sshort;
    public static int sint;
    public static long slong;
    public static float sfloat;
    public static double sdouble;
    public static char schar;
    public static String sstr;

    public static JavaTest sobj;

    /*
     * Static methods.
     */

    public static String smethod() { return "static"; }
    public static String nullsmethod() { return null; }
    public static void voidsmethod() { return; }

    /*
     * Instance fields for each type.
     */

    public int iint;
    public boolean iboolean;
    public long ilong;
    public short ishort;
    public byte ibyte;
    public float ifloat;
    public double idouble;
    public char ichar;
    public String istr;

    public JavaTest iobj;


    /*
     * Instance methods.
     */

    public int imethod() { return 6; }
    public String nullimethod() { return null; }
    public void voidimethod() { return; }

    /*
     * Simple Tcl command implementation.
     */

    public void cmdProc(Interp interp, TclObject argv[])
	    throws TclException
    {
	String s = argv[0].toString();
	for (int i = 1; i < argv.length; i++) {
	    s = s + ", " + argv[i].toString();
	}
	
	if (iboolean) {
	    interp.setResult(s + ": success");
	} else {
	    throw new TclException(interp, s + ": failure",
		    TCL.ERROR);
	}
    }
    
    public void disposeCmd() {
	istr = "disposed";
    }
}
