/*
 * JavaTestExtension.java --
 *
 *	This Extension class contains commands used by the Jacl
 *	test suite.
 *
 * Copyright (c) 1997 Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL
 * WARRANTIES.
 *
 * SCCS: @(#) JavaTestExtension.java 1.2 97/10/14 17:32:34
 *
 */

package tcl.lang;

/*
 * This Extension class contains commands used by the Jacl
 * test suite.
 */

public class JavaTestExtension extends Extension {

/*
 *----------------------------------------------------------------------
 *
 * init --
 *
 *	Initializes the JavaTestExtension.
 *
 * Results:
 *	None.
 *
 * Side effects:
 *	Commands are created in the interpreter.
 *
 *----------------------------------------------------------------------
 */

public void
init(
    Interp interp)
{
    interp.createCommand("testinvoke",      new TestinvokeCmd());
    interp.createCommand("java::getInterp", new GetInterpCmd());
    interp.createCommand("jtest", 	    new JtestCmd());
}

} // JavaTestExtension
