/*
 * NativeTestExtension.java --
 *
 *	This Extension class contains commands used by the TclBlend
 *	test suite.
 *
 * Copyright (c) 1997 Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL
 * WARRANTIES.
 *
 * SCCS: @(#) NativeTestExtension.java 1.1 97/10/14 17:32:47
 *
 */

package tcl.lang;

/*
 * This Extension class contains commands used by the Jacl
 * test suite.
 */

public class NativeTestExtension extends Extension {

/*
 *----------------------------------------------------------------------
 *
 * init --
 *
 *	Initializes the NativeTestExtension.
 *
 * Results:
 *	None.
 *
 * Side effects:
 *	Commands are created in the interpreter.
 *
 *----------------------------------------------------------------------
 */

public void
init(
    Interp interp)
{
    interp.createCommand("testinvoke",      new TestinvokeCmd());
    interp.createCommand("java::getInterp", new GetInterpCmd());
}

} // NativeTestExtension
