/*
 * TestinvokeCmd.java --
 *
 *	This command is loaded into a test version of TclBlend and Jacl
 *	to perform regression tests.
 *
 * NOTE
 *
 *	!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 *
 *	This command is a security hole. DO NOT INCLUDE THIS CLASS IN
 *	THE JACL OR TCLBLEND DISTRIBUTION.
 *
 *	!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 *
 * Copyright (c) 1997 Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL
 * WARRANTIES.
 *
 * SCCS: @(#) TestinvokeCmd.java 1.1 97/10/14 17:32:46
 *
 */

package tcl.lang;

/*
 *
 * By default, we cannot access any package protected methods and
 * non-public classes in the tcl.lang package using the reflection API
 * in the java:: package. However, we want to access them when when
 * doing regression testing, we want to access them. We can do this
 * by executing the following command in the Tcl script:
 *
 *	java::load tcl.lang.JavaTestExtension
 *	testinvoke true		# disable security checks in Invoke.class
 *	testinvoke false	# enable security checks in Invoke.class
 *
 * When security checks inside the Invoke class are disabled, it
 * allows scripts to poke into protected and private members of the
 * tcl.lang package. Since this violates the spirit of the Java access
 * protection mechanism, we must NOT include this class in the Jacl or
 * TclBlend distributions.
 *
 */

class TestinvokeCmd implements Command {

/*
 *----------------------------------------------------------------------
 *
 * cmdProc --
 *
 *	Enable/disable security checks in Invoke.class, depending on
 *	the boolean value in argv[1];
 *
 * Results:
 *	None.
 *
 * Side effects:
 *	Security checks in Invoke.class are enabled or disabled.
 *
 *----------------------------------------------------------------------
 */

public void
cmdProc(
    Interp interp,		// Current interpreter.
    TclObject argv[]) 		// Argument list.
throws
    TclException		// Standard Tcl exception.
{
    Invoke.tclTest = TclBoolean.get(interp, argv[1]);
}

} // end TestinvokeCmd
